> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/nor/api-dokumentasjon/geopard-api-requests-overview/56.-upload-photos.md).

# 56. Last opp bilder

Opplasting av et bilde via S3 består av to trinn:

1. **Be om den forhåndssignerte lenken for direkte opplasting.**

Som inndata:

* fileExtention – jpeg ELLER jpg ELLER png,
* farmUuid – UUID-en til gården,
* fieldUuid – UUID-en til skiftet,
* noteUuid – UUID-en til notatet som det opplastede bildet skal knyttes til,
* commentUuid – UUID-en til kommentaren som det opplastede bildet skal knyttes til (valgfritt).

Som utdata:

* uuid – den forventede UUID-en etter opplasting og behandling,
* farmUuid – samme som i inndataene,
* fieldUuid – samme som i inndataene,
* noteUuid – samme som i inndataene,
* commentUuid – samme som i inndataene (hvis den finnes),
* s3Url – URL-en som brukes til å laste opp bildet,
* s3Fields – attributter som skal sendes med i opplastingsskjemaet for bildet.

Detaljer om hvordan du bruker s3Url og s3Fields, finner du i det andre trinnet.

Attributtene er gyldige i bare 60 minutter for opplasting av bildet.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation generatePresignedPostPhotoData {
  generatePresignedPostPhotoData(input:{
    farmUuid: "89196056-61e5-4bce-b676-d488d611a829" 
    fieldUuid: "586a2ef2-03e4-4715-846c-07a2f0cb3016"
    noteUuid: "4a94da1c-f655-4f17-961a-4b0323e5129c"
    fileExtention: jpeg
    
  } ) {
    uuid
    noteUuid
    fieldUuid
    farmUuid
    s3Url
    s3Fields
  }
}
```

{% endcode %}

2. **Send et lokalt bilde til s3Url med de forhåndsdefinerte skjemaattributtene fra s3Fields.**

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl --location --request POST '<s3Url>' \
--form 'key="<value_in_s3Fields>"' \
--form 'AWSAccessKeyId="<value_in_s3Fields>"' \
--form 'x-amz-security-token="<value_in_s3Fields>"' \
--form 'policy="<value_in_s3Fields>"' \
--form 'signature="<value_in_s3Fields>"' \
--form 'file=@"<local_file_path>"'
```

{% endcode %}

Varsler om behandlingen leveres via abonnementsmekanismen som er beskrevet under GraphQL -> Samples -> [1. Subscription: Get events](https://docs.geopard.tech/geopard-tutorials/nor/api-dokumentasjon/geopard-api-requests-overview/1.-subscription-get-events.md).

{% hint style="info" %}
Bruk «Accept-Encoding»:’gzip, deflate, br’.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/nor/api-dokumentasjon/geopard-api-requests-overview/56.-upload-photos.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
